package android.lib.database;

import java.util.Date;

public final class DateConverter implements TypeConverter<Date, Long> {
    public DateConverter() {
    }

    @Override
    public Long fromDatabase(final Date value) {
        return Long.valueOf(value.getTime());
    }

    @Override
    public Date toDatabase(final Long value) {
        return new Date(value.longValue());
    }
}
